# Summary


* [Introduction](README.md)
* [PumpkinScript](script/README.md)
 * Stack manipulation
   * [-ROT](script/-ROT.md)
   * [2DROP](script/2DROP.md)
   * [2DUP](script/2DUP.md)
   * [2NIP](script/2NIP.md)
   * [2OVER](script/2OVER.md)
   * [2ROT](script/2ROT.md)
   * [2SWAP](script/2SWAP.md)
   * [2TUCK](script/2TUCK.md)
   * [DEPTH](script/DEPTH.md)
   * [DROP](script/DROP.md)
   * [DUP](script/DUP.md)
   * [NIP](script/NIP.md)
   * [OVER](script/OVER.md)
   * [ROT](script/ROT.md)
   * [STACK](script/STACK.md)
   * [SWAP](script/SWAP.md)
   * [TUCK](script/TUCK.md)
   * [UNWRAP](script/UNWRAP.md)
   * [WRAP](script/WRAP.md)
 * Logical operations
   * [AND](script/AND.md)
   * [EQUAL?](script/EQUALQ.md)
   * [IF](script/IF.md)
   * [IFELSE](script/IFELSE.md)
   * [NOT](script/NOT.md)
   * [OR](script/OR.md)
 * Data structures
   * [NONE?](script/NONEQ.md)
   * [SOME?](script/SOMEQ.md)
   * [INT->UINT](script/INT/TOUINT.md)
   * [UINT->INT](script/INT/TOINT.md)
 * Storage  
   * [ASSOC](script/ASSOC.md)
   * [ASSOC?](script/ASSOCQ.md)
   * [COMMIT](script/COMMIT.md)
   * [CURSOR](script/CURSOR.md)
   * [CURSOR/DOWHILE](script/CURSOR/DOWHILE.md)
   * [CURSOR/DOWHILE-PREFIXED](script/CURSOR/DOWHILE-PREFIXED.md)
   * [CURSOR/FIRST](script/CURSOR/FIRST.md)
   * [CURSOR/LAST](script/CURSOR/LAST.md)
   * [CURSOR/NEXT](script/CURSOR/NEXT.md)
   * [CURSOR/SEEKLAST](script/CURSOR/SEEKLAST.md)
   * [CURSOR/POSITIONED?](script/CURSOR/POSITIONEDQ.md)
   * [CURSOR/KEY](script/CURSOR/KEY.md)
   * [CURSOR/VAL](script/CURSOR/VAL.md)
   * [READ](script/READ.md)
   * [RETR](script/RETR.md)
   * [WRITE](script/WRITE.md)
 * Binaries
   * [CONCAT](script/CONCAT.md)
   * [GT?](script/GTQ.md)
   * [LENGTH](script/LENGTH.md)
   * [LT?](script/LTQ.md)
   * [PAD](script/PAD.md)
   * [SLICE](script/SLICE.md)
   * [STARTSWITH?](script/STARTSWITHQ.md)
 * Control flow
   * [DOWHILE](script/DOWHILE.md)
   * [EVAL](script/EVAL.md)
   * [EVAL/SCOPED](script/EVAL/SCOPED.md)
   * [EVAL/VALID?](script/EVAL/VALIDQ.md)
   * [TIMES](script/TIMES.md)
   * [TRY](script/TRY.md)
 * Numbers
   * [UINT/ADD](script/UINT/ADD.md)
   * [UINT/SUB](script/UINT/SUB.md)
   * [UINT/EQUAL?](script/UINT/EQUALQ.md)
   * [UINT/LT?](script/UINT/LTQ.md)
   * [UINT/GT?](script/UINT/GTQ.md)
   * [UINT/->STRING](script/UINT/TO_STRING.md)
   * [UINT[size]/ADD](script/UINT_SIZED/ADD.md)
   * [UINT[size]/SUB](script/UINT_SIZED/SUB.md)
   * [STRING/->UINT](script/STRING/TO_UINT.md)
   * [STRING/->UINT[size]](script/STRING/TO_UINT_SIZED.md)
   * [INT](script/INT/README.md)
   * [INT/ADD](script/INT/ADD.md)
   * [INT/SUB](script/INT/SUB.md)
   * [INT/EQUAL?](script/INT/EQUALQ.md)
   * [INT/LT?](script/INT/LTQ.md)
   * [INT/GT?](script/INT/GTQ.md)
   * [INT/->STRING](script/INT/TO_STRING.md)
   * [INT[size]](script/INT_SIZED/README.md)
   * [INT[size]/ADD](script/INT_SIZED/ADD.md)
   * [INT[size]/SUB](script/INT_SIZED/SUB.md)
   * [STRING/->INT](script/STRING/TO_INT.md)
   * [STRING/->INT[size]](script/STRING/TO_INT_SIZED.md)
   * [F[size]](script/F_SIZED/README.md)
   * [F[size]/ADD](script/F_SIZED/ADD.md)
   * [F[size]/SUB](script/F_SIZED/SUB.md)
   * [F[size]/->STRING](script/F_SIZED/TO_STRING.md)
   * [STRING/->F[size]](script/STRING/TO_F_SIZED.md)
 * Data formats
   * [JSON?](script/JSONQ.md)
   * [JSON/ARRAY?](script/JSON/ARRAYQ.md)
   * [JSON/BOOLEAN?](script/JSON/BOOLEANQ.md)
   * [JSON/EMPTY](script/JSON/EMPTY.md)
   * [JSON/GET](script/JSON/GET.md)
   * [JSON/HAS?](script/JSON/HASQ.md)
   * [JSON/NULL?](script/JSON/NULLQ.md)
   * [JSON/NUMBER?](script/JSON/NUMBERQ.md)
   * [JSON/OBJECT?](script/JSON/OBJECTQ.md)
   * [JSON/SET](script/JSON/SET.md)
   * [JSON/STRING->](script/JSON/STRING_TO.md)
   * [JSON/STRING?](script/JSON/STRINGQ.md)
   * [JSON/->STRING](script/JSON/TO_STRING.md)
 * Hashing
   * [HASH/SHA1](script/HASH/SHA1.md)
   * [HASH/SHA224](script/HASH/SHA224.md)
   * [HASH/SHA256](script/HASH/SHA256.md)
   * [HASH/SHA384](script/HASH/SHA384.md)
   * [HASH/SHA512](script/HASH/SHA512.md)
   * [HASH/SHA512-224](script/HASH/SHA512-224.md)
   * [HASH/SHA512-256](script/HASH/SHA512-256.md)
 * Instructions
   * [DEF](script/DEF.md)
   * [SET](script/SET.md)
 * Messaging
   * [PUBLISH](script/PUBLISH.md)
   * [SUBSCRIBE](script/SUBSCRIBE.md)
   * [UNSUBSCRIBE](script/UNSUBSCRIBE.md)
 * Sequencing
   * [HLC](script/HLC.md)
   * [HLC/LC](script/HLC/LC.md)
   * [HLC/OBSERVE](script/HLC/OBSERVE.md)
   * [HLC/TICK](script/HLC/TICK.md)
 * Debugging
   * [TRACE](script/TRACE.md)
 * Miscellaneous
   * [FEATURE?](script/FEATUREQ.md)
   * [$SYSTEM/VERSION](script/_SYSTEM/VERSION.md)
 * Errors
     * [Unknown instruction](script/errors/UNKNOWN_INSTRUCTION.md)
     * [Invalid value](script/errors/InvalidValue.md)
     * [Empty stack](script/errors/EmptyStack.md)
     * [Decoding error](script/errors/DECODING.md)
     * [Duplicate key](script/errors/DuplicateKey.md)
     * [Unknown key](script/errors/UNKNOWN_KEY.md)
     * [No transaction](script/errors/NoTransaction.md)
     * [Database error](script/errors/DatabaseError.md)
* [Experimental Features](FEATURES.md)
* [Wire Protocol](WIRE_PROTOCOL.md)
